import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

public class GraphicalMidlet extends MIDlet implements CommandListener
{
    private Display display;
    private GraphicalCanvas canvas;

    private Command exitCommand = new Command("Exit", Command.SCREEN, 99);

    public GraphicalMidlet()
    {
		display = Display.getDisplay(this);

		canvas = new GraphicalCanvas(display);
		canvas.addCommand(exitCommand);
		canvas.setCommandListener(this);
	}

	public void startApp() throws MIDletStateChangeException
	{
		canvas.start();
	}

	public void pauseApp()
	{
		canvas.destroy();
	}

	public void destroyApp(boolean unconditional) throws MIDletStateChangeException
	{
		canvas.destroy();
	}

	public void commandAction(Command c, Displayable s)
	{
		if (c == exitCommand)
		{
			try
			{
				destroyApp(false);
				notifyDestroyed();
			}
			catch (MIDletStateChangeException ex)
			{
			}
		}
	}
}