import javax.microedition.lcdui.*;

public abstract class GraphicalObject implements Runnable {

	// the position of the graphicalObject
	protected int posX;
	protected int posY;

	// a handle onto the singleton Graphics object
	protected Canvas canvas;

	// public variable to control the thread
	public boolean stopThread;

	GraphicalObject(Canvas c)
	{
		super();
		canvas = c;
	}

    public abstract void move();
    public abstract void paint(Graphics g);

	public void stopThread()
	{
		stopThread = true;
	}

	public void run()
	{
		stopThread = false;

		while (!stopThread)
		{
			move();
			canvas.repaint();

			try
			{
				Thread.sleep(100);
			}
			catch(InterruptedException ie)
			{
			}
		}
	}
}
